import { DialogAlertOptions, DialogConfirmOptions, DialogPromptOptions, DialogServiceHandle, DialogServiceOpenOptions } from './dialog-service.js';
export declare const XyDialogService: {
    open(options: DialogServiceOpenOptions): DialogServiceHandle;
    alert(options: DialogAlertOptions): Promise<void>;
    confirm(options: DialogConfirmOptions): Promise<boolean>;
    prompt(options: DialogPromptOptions): Promise<{
        confirmed: boolean;
        value: string;
    }>;
    closeAll(): void;
};
